governance
Create governance evaluate
Requires scopes: eval:read
POST
/
api
/
governance
/
evaluate
Create governance evaluate
curl --request POST \
--url https://evalgate.com/api/governance/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decision": {
"confidence": 123,
"agentName": "<string>",
"decisionType": "action",
"chosen": "<string>",
"context": {
"dataClassification": "public",
"region": "<string>",
"amount": 123,
"sensitiveData": false,
"piiDetected": false,
"userTier": "free",
"customFields": {}
},
"reasoning": "<string>",
"alternatives": [
{
"confidence": 123,
"action": "<string>"
}
]
},
"preset": "BASIC"
}
'import requests
url = "https://evalgate.com/api/governance/evaluate"
payload = {
"decision": {
"confidence": 123,
"agentName": "<string>",
"decisionType": "action",
"chosen": "<string>",
"context": {
"dataClassification": "public",
"region": "<string>",
"amount": 123,
"sensitiveData": False,
"piiDetected": False,
"userTier": "free",
"customFields": {}
},
"reasoning": "<string>",
"alternatives": [
{
"confidence": 123,
"action": "<string>"
}
]
},
"preset": "BASIC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decision: {
confidence: 123,
agentName: '<string>',
decisionType: 'action',
chosen: '<string>',
context: {
dataClassification: 'public',
region: '<string>',
amount: 123,
sensitiveData: false,
piiDetected: false,
userTier: 'free',
customFields: {}
},
reasoning: '<string>',
alternatives: [{confidence: 123, action: '<string>'}]
},
preset: 'BASIC'
})
};
fetch('https://evalgate.com/api/governance/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"preset": "BASIC",
"result": {
"requiresApproval": true,
"blocked": true,
"reasons": [
"<string>"
],
"auditLevel": "BASIC",
"timestamp": "<string>"
},
"config": {
"confidenceThreshold": 123,
"amountThreshold": 123,
"requireApprovalForSensitiveData": true,
"requireApprovalForPII": true,
"allowedModels": [
"<string>"
],
"maxCostPerRun": 123,
"auditLevel": "BASIC",
"customApprovalRules": [
true
],
"customBlockingRules": [
true
]
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create governance evaluate
